/********************************************************************************
 * Copyright (c) Des Herriott 1993, 1994
 *               Erik Kunze   1995, 1996
 *
 * Permission to use, distribute, and sell this software and its documentation
 * for any purpose is hereby granted without fee, provided that the above
 * copyright notice appear in all copies and that both that copyright notice and
 * this permission notice appear in supporting documentation, and that the name
 * of the copyright holder not be used in advertising or publicity pertaining to
 * distribution of the software without specific, written prior permission.  The
 * copyright holder makes no representations about the suitability of this
 * software for any purpose.  It is provided "as is" without express or implied
 * warranty. THE CODE MAY NOT BE MODIFIED OR REUSED WITHOUT PERMISSION!
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * Authors: Ian Collier, Des Herriott
 *          Erik Kunze
 *
 * changed by EKU
 *******************************************************************************/
#ifndef _XZX_LOADSAVE_H
#define _XZX_LOADSAVE_H
/* $Id: loadsave.h,v 3.2 1996/12/02 18:32:15 erik Rel $ */


#define LOAD_ADDR		0x0556
#define SAVE_ADDR		0x04C2
#define LOAD_ADDR_3		0x0556
#define SAVE_ADDR_3		0x04C6
#define LOAD_BPT_BYTE	0x14
#define SAVE_BPT_BYTE	0x21
#define LOAD_BPT		0xfc
#define SAVE_BPT		0xfd
enum { TAPE_READ, TAPE_WRITE };

extern void SetLoadSaveTraps(void);
extern void Loader(void);
extern void Saver(void);
extern int InsertTape(char *, int);
extern void BrowseTape(void);
extern char *TapeInputFile;
extern char *TapeOutputFile;
#endif

